package com.ruoyi.model.service;

import java.util.List;

import com.baomidou.mybatisplus.extension.service.IService;
import com.ruoyi.model.domain.AppletQuestion;
import com.ruoyi.model.domain.AppletUsersTeacher;

/**
 * 伴宠师认证Service接口
 * 
 * @author ruoyi
 * @date 2025-03-27
 */
public interface IAppletUsersTeacherService extends IService<AppletUsersTeacher> {
    /**
     * 查询伴宠师认证
     * 
     * @param id 伴宠师认证主键
     * @return 伴宠师认证
     */
    public AppletUsersTeacher selectAppletUsersTeacherById(Long id);
    public AppletUsersTeacher selectAppletUsersTeacherByUserId(Long userId);


    public void buildData(AppletUsersTeacher appletUsersTeacher);

    /**
     * 查询伴宠师认证列表
     * 
     * @param appletUsersTeacher 伴宠师认证
     * @return 伴宠师认证集合
     */
    public List<AppletUsersTeacher> selectAppletUsersTeacherList(AppletUsersTeacher appletUsersTeacher);

    /**
     * 新增伴宠师认证
     * 
     * @param appletUsersTeacher 伴宠师认证
     * @return 结果
     */
    public int insertAppletUsersTeacher(AppletUsersTeacher appletUsersTeacher);

    /**
     * 修改伴宠师认证
     * 
     * @param appletUsersTeacher 伴宠师认证
     * @return 结果
     */
    public int updateAppletUsersTeacher(AppletUsersTeacher appletUsersTeacher);

    /**
     * 批量删除伴宠师认证
     * 
     * @param ids 需要删除的伴宠师认证主键集合
     * @return 结果
     */
    public int deleteAppletUsersTeacherByIds(Long[] ids);

    /**
     * 删除伴宠师认证信息
     * 
     * @param id 伴宠师认证主键
     * @return 结果
     */
    public int deleteAppletUsersTeacherById(Long id);
}
